{
    "version": "0.2.0",
    "configurations": [
        {
            "type": "java",
            "name": "Application",
            "request": "launch",
            "mainClass": "org.springblade.Application",
            "projectName": "BladeX-Boot"
        },
        {
            "type": "java",
            "name": "Debug Spring Boot App (Dev)",
            "request": "launch",
            "mainClass": "org.springblade.Application",
            "projectName": "blade-api",
            "args": "--spring.profiles.active=dev",
            "vmArgs": "-Dfile.encoding=UTF-8",
            "console": "integratedTerminal",
            "env": {
                "SPRING_PROFILES_ACTIVE": "dev"
            }
        },
        {
            "type": "java",
            "name": "Debug Spring Boot App (Test)",
            "request": "launch",
            "mainClass": "org.springblade.Application",
            "projectName": "blade-api",
            "args": "--spring.profiles.active=test",
            "vmArgs": "-Dfile.encoding=UTF-8",
            "console": "integratedTerminal",
            "env": {
                "SPRING_PROFILES_ACTIVE": "test"
            }
        },
        {
            "type": "java",
            "name": "Debug Current Java File",
            "request": "launch",
            "mainClass": "${file}"
        },
        {
            "type": "java",
            "name": "Attach to Remote JVM",
            "request": "attach",
            "hostName": "localhost",
            "port": 5005
        }
    ]
}
